<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TruncateRelatedPropertyTables extends Migration
{

    public function up()
    {
    /*
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');

        DB::table('api_access_token')->truncate();
        DB::table('jobs')->truncate();
        DB::table('failed_jobs')->truncate();

        DB::table('offer')->truncate();
        DB::table('offer_accommodation_mapping')->truncate();
        DB::table('offer_cancellation_policy')->truncate();
        DB::table('offer_contact_mapping')->truncate();
        DB::table('offer_fact_mapping')->truncate();
        DB::table('offer_important_notes')->truncate();
        DB::table('offer_photo_mapping')->truncate();
        DB::table('offer_price')->truncate();
        DB::table('offer_room_mapping')->truncate();

        DB::table('property')->truncate();
        DB::table('property_additional_info')->truncate();
        DB::table('property_brand')->truncate();
        DB::table('property_channel_mapping')->truncate();
        DB::table('property_config')->truncate();
        DB::table('property_contact')->truncate();
        DB::table('property_content')->truncate();
        DB::table('property_executive')->truncate();
        DB::table('property_fact_attribute_mapping')->truncate();
        DB::table('property_fact_mapping')->truncate();
        DB::table('property_module_mapping')->truncate();
        DB::table('property_photo')->truncate();
        DB::table('property_room')->truncate();
        DB::table('property_room_availability')->truncate();
        DB::table('property_room_bed')->truncate();
        DB::table('property_room_fact_mapping')->truncate();
        DB::table('property_room_photo_mapping')->truncate();
        DB::table('property_room_rate')->truncate();
        DB::table('property_room_rate_channel_mapping')->truncate();
        DB::table('property_room_rate_inclusion_mapping')->truncate();
        DB::table('property_room_rate_mapping')->truncate();
        DB::table('property_room_rate_mapping_setup')->truncate();
        DB::table('property_room_rate_price')->truncate();
        DB::table('property_room_view_mapping')->truncate();
        DB::table('property_web')->truncate();

        DB::table('user')->truncate();
        DB::table('user_property_mapping')->truncate();

        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        */
    }


    public function down()
    {
        //
    }
}
